### Method

# Gegl Bufferset_pattern

#### Declaration [src]

    void
    gegl_buffer_set_pattern (
      GeglBuffer* buffer,
      const GeglRectangle* rect,
      GeglBuffer* pattern,
      gint x_offset,
      gint y_offset
    )

#### Description [src]

Fill a region with a repeating pattern. Offsets parameters are relative to the origin (0, 0) and not to the rectangle. So be carefull about the origin of `pattern` and `buffer` extents.

#### Parameters

`rect`

  Type: `GeglRectangle`

  The region of `buffer` to fill.

  The data is owned by the caller of the method.

`pattern`

  Type: `GeglBuffer`

  A `GeglBuffer` to be repeated as a pattern.

  The data is owned by the caller of the method.

`x_offset`

  Type: `gint`

  Where the pattern starts horizontally.

`y_offset`

  Type: `gint`

  Where the pattern starts vertical.